Data.HashMap.Strict

data HashMap k v

# Construction

empty

singleton

# Basic interface

null

size

member

lookup

lookupDefault

(!)

insert

insertWith

delete

adjust

# Combine

## Union

union

unionWith

unions

# Transformations

map

traverseWithKey

# Difference and intersection

difference

intersection

intersectionWith

# Folds

foldl'

foldlWithKey'

foldr

foldrWithKey

# Filter

filter

filterWithKey

# Conversions

keys

elems

## Lists

toList

fromList

fromListWith